package com.bonus.common.biz.enums;

import lombok.Getter;

/**
 * @author : 阮世耀
 * @version : 1.0
 * 领料任务状态枚举
 */
@Getter
public enum LeaseTaskStatusEnum {
    //0-领用申请任务待审核，其余为领料申请流程状态
    LEASE_TASK_ZERO(0, "待审核"),
    LEASE_TASK_SUBMIT(5, "待提交"),
    LEASE_TASK_TO_PUBLISHED(1, "待发布"),
    LEASE_TASK_TO_AUDIT(2, "已终止"),
    LEASE_TASK_IN_PROGRESS(3, "出库进行中"),
    LEASE_TASK_FINISHED(4, "出库已完成"),
    LEASE_AUDIT_ING(6, "审核中");
    private final Integer status;
    private final String statusName;

    LeaseTaskStatusEnum(Integer status, String statusName) {
        this.status = status;
        this.statusName = statusName;
    }
}
